/*
 * @(#)src/classes/sov/org/omg/CosNaming/BindingIteratorOperations.java, orb-api, hs131, 20021024 1.3.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 * Copyright 1997-1999 Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 */

package org.omg.CosNaming;

public interface BindingIteratorOperations 
{
    /**
     * This operation returns the next binding. If there are no more
     * bindings, false is returned.
     * @param b the returned binding
     */
    boolean next_one(org.omg.CosNaming.BindingHolder b);

    /**
     * This operation returns at most the requested number of bindings.
     * @param how_many the maximum number of bindings to return <p>
     * @param bl the returned bindings
     */
    boolean next_n(int how_many, org.omg.CosNaming.BindingListHolder bl);

    /**
     * This operation destroys the iterator.
     */
    void destroy();

} // interface BindingIteratorOperations
