/*
 * @(#)src/contract/jvm/pfm/jni_md.h, core, xa131, 20030121 1.11.1.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 * Copyright 1996-2000 Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 * Change activity:
 *
 * Reason  Date   Origin  Description
 * ------  ----   ------  ----------------------------------------------------
 * 009653  080800 hdngmr  Added XJNICALL definition.
 * 032022  110501 hdlrc   On AIX PPC64 use sys/inttypes.h
 * 032560  290501 srowland use sys/inttypes.h throughout
 *
 * ===========================================================================
 */

#ifndef _JAVASOFT_JNI_MD_H_
#define _JAVASOFT_JNI_MD_H_

#include <sys/inttypes.h>             /*ibm@32560*/

#define JNIEXPORT_PROTOTYPE                                           /*ibm.54*/
#define JNIEXPORT
#define JNIIMPORT
#define JNICALL
#define XJNICALL                                                   /*ibm@9653*/

typedef int32_t jint;                 /*ibm@13822*/
typedef int64_t jlong;                /*ibm@13822*/
typedef signed char jbyte;
#if defined(__64BIT__)                /*ibm@13822*/
typedef jlong jsize;                  /*ibm@13822*/
#else                                 /*ibm@13822*/
typedef jint jsize;                                                 /*ibm@9237*/
#endif                                /*ibm@13822*/

#endif /* !_JAVASOFT_JNI_MD_H_ */
