/*
 * @(#)src/classes/sov/org/omg/CosNaming/NamingContext.java, orb-api, hs131, 20021024 1.5.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 *
 * ===========================================================================
 *
 * Copyright 1997-2000 Sun Microsystems, Inc. All Rights Reserved.
 * ===========================================================================
 */
 
package org.omg.CosNaming;

/**
 * A naming context is an object that contains a set of name bindings in 
 * which each name is unique. Different names can be bound to an object 
 * in the same or different contexts at the same time. <p>
 * See <a href=" http://www.omg.org/corba/sectrans.htm#nam">CORBA COS 
 * Naming Specification.</a>
 */
public interface NamingContext extends NamingContextOperations,		/*ibm@5639*/
	    org.omg.CORBA.Object, org.omg.CORBA.portable.IDLEntity {
}
